Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234965 - should maybe ensure that we are not ending up on unallocated vts
Summary: should maybe ensure that we are not ending up on unallocated vts
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ConsoleKit
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-03 03:46 UTC by Matthias Clasen
Modified: 2013-03-06 03:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 01:24:36 UTC


Attachments (Terms of Use)

Description Matthias Clasen 2007-04-03 03:46:33 UTC
here is a problematic user-switching scenario

1) from session 1, create session 2
2) from session 2, create session 3
3) now switch back to session 2, and log out
4) the X server switches back to the vt from which it was started, session 1
5) switch to session 3, and log out
6) the X server switches back to the vt from which it was started
7) you are now on the unallocated vt that was used by session 2

The ancient "X switches back to originating vt on exit" approach to 
vt switching does not quite work in the modern user-switching world.
It would probably be good if C-K would ensure that we don't end up
on an unallocated vt, since it is already tracking the vt-session 
association.

Comment 1 jmccann 2007-04-03 04:10:45 UTC
This is related to:
http://bugzilla.gnome.org/show_bug.cgi?id=343539

But some of the speculation in that report is probably a bit out of date...

Comment 2 Bug Zapper 2008-04-03 23:55:04 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Bug Zapper 2008-05-07 01:24:34 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.